// FILENAME:	CTF_Tropical_Storm.cs
//
// TERRAIN:       Tropical_Storm.ted.vol
//
// CREATOR:  	Com. Sentinal [M.I.B.]
//------------------------------------------------------------------------------

$missionName = "CTF_Tropical_Storm";

$maxFlagCount  = 8;          // no of flags required by a team to end the game
$flagValue     = 5;          // points your team gets for capturing
$carrierValue  = 2;          //  "      "    "    "    " killing carrier
$killPoints    = 1;
$deathPoints   = 1;
$flagTime = 300;

exec("multiplayerStdLib.cs");
exec("CTFstdLib.cs");

function setDefaultMissionOptions()
{
	$server::TeamPlay = true;
	$server::AllowDeathmatch = false;
	$server::AllowTeamPlay = true;	

   // what can the client choose for a team
	$server::AllowTeamRed = false;
	$server::AllowTeamBlue = true;
	$server::AllowTeamYellow = false;
	$server::AllowTeamPurple = true;

   // what can the server admin choose for available teams
   $server::disableTeamRed = true;
   $server::disableTeamBlue = false;
   $server::disableTeamYellow = true;
   $server::disableTeamPurple = false;
}

function onMissionStart()
{
   initGlobalVars();
   temperateSounds();
   stormSounds();
}

function onMissionLoad()
{
   cdAudioCycle("NewTech", "Terror", "Yougot", "Mechsoul"); 
}

function player::onAdd(%player)
{
   say(%player, 0, "Welcome to CTF Tropical Storm! You can download CTF_Tropical_Storm & other terrain-based missions made by Com. Sentinal [M.I.B.] in the \"MIB Terrain Pack\" on the MIB Website at www.starsiegemeninblack.cjb.net.");
   messageBox(%player, "This map requires that you download a new terrain to play. It is available for download in the \"MIB Terrain Pack\" on the MIB website at www.starsiegemeninblack.cjb.net");
}
